Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
courses
/
{courseSid}
/
exams
/
{examSid}
/
configurations
/
{examConfigurationSid}
Get Configuration Details
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid} \
  --header 'token: <api-key>'
{
  "sid": "<string>",
  "examSid": "<string>",
  "enrollmentSid": "<string>",
  "referenceExamConfigurationSid": "<string>",
  "type": "<string>",
  "examOpenDate": "<string>",
  "examCloseDate": "<string>",
  "scheduleOpenDate": "<string>",
  "scheduleCloseDate": "<string>",
  "password": "<string>",
  "url": "<string>",
  "duration": 123,
  "attempts": 123,
  "attemptsRemaining": 123,
  "locked": true,
  "approved": true,
  "approvedBy": "<string>",
  "requiredSoftware": "<string>",
  "studentNotes": "<string>",
  "permittedBathroomBreak": true,
  "permittedBathroomBreakInformation": "<string>",
  "permittedBlankPaper": true,
  "permittedBlankPaperInformation": "<string>",
  "permittedCalculator": true,
  "permittedCalculatorInformation": "<string>",
  "permittedDictionary": true,
  "permittedDictionaryInformation": "<string>",
  "permittedEarplugs": true,
  "permittedEarplugsInformation": "<string>",
  "permittedFormulaSheet": true,
  "permittedFormulaSheetInformation": "<string>",
  "permittedNotes": true,
  "permittedNotesInformation": "<string>",
  "permittedOtherItems": "<string>",
  "permittedTextbook": true,
  "permittedTextbookInformation": "<string>",
  "permittedWebsites": true,
  "permittedWebsitesInformation": "<string>",
  "apiExamId": "<string>",
  "examSyncStatus": "<string>",
  "virtualCalculatorType": "<string>",
  "synchronization": "<string>",
  "proctorNotes": "<string>",
  "proctorTypes": [
    "<string>"
  ],
  "attachments": "<string>",
  "examFiles": "<string>",
  "instructorAsProctor": [
    "<string>"
  ],
  "exam": "<string>",
  "course": "<string>",
  "enrollment": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>",
  "instructor": "<string>",
  "modalityOptions": "<string>",
  "updatedAutomatedSessions": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
courseSid
string
required

Course Sid

Pattern: ^CU[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
examConfigurationSid
string
required

ExamConfiguration Sid

Pattern: ^EC[a-f0-9]{32}$

Response

200 - application/json

Successful

sid
string | null

Configuration SID

examSid
string | null

Exam SID

enrollmentSid
string | null

Enrollment SID

referenceExamConfigurationSid
string | null

Reference exam configuration SID

type
string | null

Configuration type

examOpenDate
string | null

Exam open date

examCloseDate
string | null

Exam close date

scheduleOpenDate
string | null

Schedule open date

scheduleCloseDate
string | null

Schedule close date

password
string | null

Exam password

url
string | null

Exam URL

duration
number | null

Duration in minutes

attempts
number | null

Number of attempts

attemptsRemaining
number | null

Attempts remaining

locked
boolean | null

Whether locked

approved
boolean | null

Whether approved

approvedBy
string | null

Approved by

requiredSoftware
string | null

Required software

studentNotes
string | null

Student notes

permittedBathroomBreak
boolean | null

Bathroom break permitted

permittedBathroomBreakInformation
string | null

Bathroom break info

permittedBlankPaper
boolean | null

Blank paper permitted

permittedBlankPaperInformation
string | null

Blank paper info

permittedCalculator
boolean | null

Calculator permitted

permittedCalculatorInformation
string | null

Calculator info

permittedDictionary
boolean | null

Dictionary permitted

permittedDictionaryInformation
string | null

Dictionary info

permittedEarplugs
boolean | null

Earplugs permitted

permittedEarplugsInformation
string | null

Earplugs info

permittedFormulaSheet
boolean | null

Formula sheet permitted

permittedFormulaSheetInformation
string | null

Formula sheet info

permittedNotes
boolean | null

Notes permitted

permittedNotesInformation
string | null

Notes info

permittedOtherItems
string | null

Other permitted items

permittedTextbook
boolean | null

Textbook permitted

permittedTextbookInformation
string | null

Textbook info

permittedWebsites
boolean | null

Websites permitted

permittedWebsitesInformation
string | null

Websites info

apiExamId
string | null

API exam ID

examSyncStatus
string | null

Exam sync status

virtualCalculatorType
string | null

Virtual calculator type

synchronization
string | null

Synchronization info

proctorNotes
string | null

Proctor notes

proctorTypes
string[] | null

Proctor types

attachments
string | null

Attachments

examFiles
string | null

Exam files

instructorAsProctor
string[] | null

Instructor as proctor

exam
string | null

Associated exam

course
string | null

Associated course

enrollment
string | null

Associated enrollment

createdDate
string | null

Created date

editDate
string | null

Last modified date

instructor
string | null

Instructor details

modalityOptions
string | null

Modality options

updatedAutomatedSessions
string | null

Updated automated sessions